package com.alihealth.d2d.provtest.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 药品配送企业基本信息数据子集
 * </p>
 *
 * @author Jason
 * @since 2025-06-06
 */
@Getter
@Setter
@TableName("drug_delivery_company_base_info")
public class DrugDeliveryCompanyBaseInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 事件流水号
     */
    private String eventId;

    /**
     * 统一社会信用代码
     */
    @JacksonXmlProperty(localName = "TYSHXYDM")
    private String tyshxydm;

    /**
     * 药品配送企业名称
     */
    @JacksonXmlProperty(localName = "YPPSQYMC")
    private String yppsqymc;

    /**
     * 药品配送企业地址
     */
    @JacksonXmlProperty(localName = "YPPSQYDZ")
    private String yppsqydz;

    /**
     * 药品配送企业地址- 国家（或地区）
     */
    @JacksonXmlProperty(localName = "YPPSQYDZGJHDQ")
    private String yppsqydzgjhdq;

    /**
     * 药品配送企业地址- 省（直辖市/自治区）
     */
    @JacksonXmlProperty(localName = "YPPSQYDZSZXSZZQ")
    private String yppsqydzszxszzq;

    /**
     * 药品配送企业地址- 市（区/ 自治州/盟）
     */
    @JacksonXmlProperty(localName = "YPPSQYDZSQZZZM")
    private String yppsqydzsqzzzm;

    /**
     * 药品配送企业地址- 县（自治县/县级市）
     */
    @JacksonXmlProperty(localName = "YPPSQYDZXZZXXJS")
    private String yppsqydzxzzxxjs;

    /**
     * 药品配送企业地址- 乡（镇/ 街道办事处）
     */
    @JacksonXmlProperty(localName = "YPPSQYDZXZJDBSC")
    private String yppsqydzxzjdbsc;

    /**
     * 药品配送企业地址- 村（街/路/弄等）
     */
    @JacksonXmlProperty(localName = "YPPSQYDZCJLLD")
    private String yppsqydzcjlld;

    /**
     * 药品配送企业地址- 门牌号码
     */
    @JacksonXmlProperty(localName = "YPPSQYDZMPHM")
    private String yppsqydzmphm;

    /**
     * 仓库地址
     */
    @JacksonXmlProperty(localName = "CKDZ")
    private String ckdz;

    /**
     * 单位负责人
     */
    @JacksonXmlProperty(localName = "DWFZR")
    private String dwfzr;

    /**
     * 固定电话号码
     */
    @JacksonXmlProperty(localName = "GDDHHM")
    private String gddhhm;

    /**
     * 传真号码
     */
    @JacksonXmlProperty(localName = "CZHM")
    private String czhm;

    /**
     * 电子信箱
     */
    @JacksonXmlProperty(localName = "DZXX")
    private String dzxx;

    /**
     * 药品配送企业网址
     */
    @JacksonXmlProperty(localName = "YPPSQYWZ")
    private String yppsqywz;

    /**
     * 联系人
     */
    @JacksonXmlProperty(localName = "LXR")
    private String lxr;

    /**
     * 联系电话
     */
    @JacksonXmlProperty(localName = "LXDH")
    private String lxdh;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 是否删除(0-否 1-是)
     */
    private Integer isDeleted;


}
